Changement hébergeur + erreurs php

  • WordPress :4.9
  • Statut : non résolu
6 sujets de 1 à 6 (sur un total de 6)
  • Auteur
    Messages
  • #2116932
    Elizabeth
    Participant
    Padawan WordPress
    94 contributions

    Bonjour,

    Ma configuration WP actuelle

    • Version de PHP/MySQL : 7.0.27
    • Thème utilisé : ?
    • Extensions en place : addthis, akismet, all in one favicon, backwpup, better wp security, category icons, duplicator pro, google analytic, hellocoton, jetpack, nextgen gallery, subscribe to comment, tinymce, wordpress seo, wp link status, wp optimize, wp super cache, wp ultimate recipe, wysija newsletter, YARPP [Bon, et je ferai du nettoyage quand ça fonctionnera 😉 ]
    • Nom de l’hébergeur : O2switch
    • Adresse du site : domaine pricipal = rubique-osef.fr ; sous-domaine : 3615elizabeth.rubrique-osef

    Problème(s) rencontré(s) :

    Je voulais déménager mon blog grâce à duplicator pro (car j’ai un multisite), mais à la suite de problèmes personnels, je n’ai pas pu tout faire & récupérer à temps. Du coup, j’ai suivi le pas à pas de la Marmite, en le migrant manuellement. J’avais bien installé ma BDD, et renvoyé via FTP le reste des fichiers. Comme utilisatrice mi-débutante de WP, j’étais toute fière.

    Sauf que j’ai une page blanche sur la page de connexion.

    Après discussion avec mon hébergeur, voici les messages d’erreur qui pourraient expliquer ma page blanche (en PJ)

    J’ai regardé pour la première erreur, qui indiquerait un fichier manquant. Pourtant, en comparant depuis le FTP, le contenu de WP super cache est identique, et je trouve bien sur le FTP de destination, le fichier wp-cache.php. Sauf que je ne vois pas ce que signifie cette histoire de ligne 70 ?

    Je vous embête avec un problème peut-être simple, mais je ne le comprends pas.
    Ah, et mon fichier wp-config semble correct, avec les bonnes informations.

    Je suis tombée sur ce sujet déjà ouvert, et je pense que les versions de php doivent être différentes entre mon ancien hébergeur (OVH) et l’actuel. J’ai dû passer de 5.5 (je crois) à 7

    Merci beaucoup pour votre aide,

    • Ce sujet a été modifié le il y a 1 month par  Elizabeth.
    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #2121224
    Elizabeth
    Participant
    Padawan WordPress
    94 contributions

    Je me permets de faire remonter ce post, car je n’arrive pas à comprendre ce que je peux faire ?

    Merci !

    #2121290
    CAMEO172
    Participant
    Maître WordPress
    1237 contributions

    Bonjour,

    quand je tente d’aller sur votre site, j’ai tout plein d’erreur lié à <b>wp-super-cach</b>

    De mon point de vue c’est lui qui merdouille grave. Il faudrait essayer sans et le réinstaller de façon propre. Mieux, tenter déjà votre site sans plugin et les réinstaller un par un.

    Quand on voit les erreurs, il semble chercher ses fichiers avec le chemin d’OVH (‘/home/rubrique/www/wp-content/plugins)  et pas celui d’O2switch(<b>/home/suhard/rubrique-osef.fr/wp-content/plugins)</b> et comme l’arborescence n’est pas la même, ça coince.

     

    #2122577
    Elizabeth
    Participant
    Padawan WordPress
    94 contributions

    Merci pour votre réponse.

    L’une de mes premières idées était d’installer simplement WP, en téléchargeant la dernière version, mais impossible ensuite de réussir à installer mon sous-site / sous-domaine (3615elizabeth). C’est pour cela que j’ai suivi ensuite le tuto de la Marmite, en important ma BDD chez mon nouvel hébergeur, puis en envoyant ensuite tous les mes fichiers.

    En effet, la solution la plus simple serait de « supprimer » tous les plugins, mais je ne vois pas comment réussir l’installation de mon sous-domaine ainsi ? Je peux supprimer mes plugins directement depuis ma BDD ?

    Car malheureusement, je n’utilise que celui-ci… et jamais mon domaine principal.

    #2128066
    Elizabeth
    Participant
    Padawan WordPress
    94 contributions

    Alors, depuis mon FTP, j’ai déplacé deux dossiers qui semblaient poser problème : better-wp-security et wp-super-cache.

    Le message d’erreur sur la page d’accueil du site est plus court, mais ce qui reste est totalement incompréhensible.

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/XXX/rubrique-osef.fr/wp-content/plugins/category-icons/category_icons.php on line 1047 and defined in /home/XXX/rubrique-osef.fr/wp-includes/wp-db.php on line 1222

    Qu’est-ce que ça veut dire ?

    En revanche, énorme progrès, je peux me connecter sur mon tableau de bord de rubrique-osef.fr MAIS impossible d’accéder au sous-site 3615elizabeth depuis ce tableau de bord : « adresse introuvable » J’imagine que c’est lié au message d’erreur cité ci-dessus ?

    • Cette réponse a été modifiée le il y a 1 month par  Elizabeth.
    • Cette réponse a été modifiée le il y a 1 month par  Elizabeth.
    #2128640
    Joss47
    Modérateur
    Maître WordPress
    4065 contributions

    Bonjour,

    Cela signifie que ce plugin category-icons n’est pas très content 😀

    Je peux supprimer mes plugins directement depuis ma BDD

    Non, pour supprimer les plugins il faut passer par le FTP 😉

6 sujets de 1 à 6 (sur un total de 6)
  • Vous devez être connecté pour répondre à ce sujet.